#pragma once

#include <string>

namespace mechanics {

	class FloatingLogger {
	public:

		void log(std::string value);

		virtual std::string log() const;

		bool isExpired() const;

		gge::Byte alpha() const;

	protected:
		std::string mLog;
		unsigned mSetAt;
	};

}